#include <bits/stdc++.h>
using namespace std;
    int r=0,brp[2000010],n,k,niz[1000008];

int main(){

    cin >> n >> k;
    for(int i=0;i<n;i++){
         cin>>niz[i];
         brp[niz[i]+n]++;
    }
       for(int i=0;i<2*n+1;i++){
            if(brp[i]>=k)r++;
    }
cout<<r<<endl;
      for(int i=0;i<2*n+1;i++){
            if(brp[i]>=k)cout<<i-n<<" ";
    }

return 0;

}